Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FileCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--ru.biosoft.access.FileCollection

public class FileCollection
extends VectorDataCollection

FileCollection is DataCollection for storing FileDataElement objects . This data collection is storage for files of corresponding subdirectory

Field Summary
`final static String` | `FILE_FILTER` Property for storing filter file extension

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Constructor Summary
`FileCollection(DataCollection parent, Properties properties)` Constructs data collection with parent.

Method Summary
`void` | `close()`
`Class` | `getDataElementType()` Returns `FileDataElement.class`
`File` | `getFile()`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`getAt, getNameList, getSize, iterator, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDescription, getInfo, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### FILE_FILTER

    public final static String FILE_FILTER

  Property for storing filter file extension

Constructor Detail

### FileCollection

    public FileCollection(DataCollection parent, Properties properties)
                     throws java.io.IOException

  Constructs data collection with parent. Makes info for this data collection.
  Required properties
  - DataCollection.NAME_PROPERTY
  - ru.biosoft.access.DataCollection#PATH_PROPERTY
  Optional properties
  - FILE_FILTER
  - DataCollection.NODE_IMAGE
  - DataCollection.CHILDREN_NODE_IMAGE
  - DataCollection.NODE_VISIBLE
  - DataCollection.CHILDREN_NODE_VISIBLE
  Parameters:
    parent - Parent data collection.
    properties - Properties for creating data collection .

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getDataElementType

    public Class getDataElementType()

  Returns `FileDataElement.class`
  Returns: `FileDataElement.class`

### getFile

    public File getFile()

Association Links

to Class java.lang.String

  Property for storing filter file extension

to Class java.io.File

  Subdirectory corresponded with this collection.

to Class java.io.FileFilter

  FileFilter is used to select needed files from root directory as well as to check added filed .

  see #doPut(DataElement )

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM